Software/ Internet Explorer 5.5 o 5.1?

Sono molti coloro che si chiedono se fare il salto alla versione 5.5 di Internet Explorer o rimanere fedeli alla 5.01. Vediamo perché porsi questa domanda non sia affatto banale

La settimana scorsa Microsoft ha finalmente rilasciato la versione finale del Service Pack 1 di Windows 2000, circa 83 MB scaricabili dal sito Web di Conxion. Installando il SP1, vengono aggiornati quasi tutti i componenti di Internet Explorer alla stessa build di IE 5.5, inclusi Outlook Express e Internet Connection Wizard, tranne il browser. Microsoft sostiene che non ha fatto in tempo a inserire IE 5.5 nel suo service pack, ma alcune riviste sostengono che in realtà la ragione stia nel fatto che la casa di Redmond considera IE 5.5 non sufficientemente sicuro e affidabile per Windows 2000.

Qual è la verità? Conviene aggiornare il proprio browser alla versione 5.5 oppure è meglio installare il SP1 della 5.01?
Le principali novità apportate dalla versione 5.01, build 5.00.2919.6307, sono:
- Reuse Windows for Launching Shortcuts: se questa opzione è selezionata ed è già stata aperta una sessione di Internet Explorer, quando l?utente seleziona un URL, non viene lanciata un'altra sessione del browser, ma viene utilizzata quella già esistente;
? Internet Explorer Patching Technology: il Setup contiene un meccanismo che controlla quali componenti di IE siano installati e quale sia i loro numero di build installando così soli i file strettamente necessari.
? 56-Bit Encryption: il livello di sicurezza per la criptazione dei dati in IE 5.01 è stato portato a 56 bit.
? supporto S/MIME 3, meccanismo che assicura una maggiore protezione alle e-mail.

Vediamo adesso quali sono i fix e gli aggiornamenti del SP1 di IE 5.01 (build 5.00.3105.0106 in Windows 95/98 e Windows NT 4.0 e build 5.00.3103.1000 in Windows 2000):
- rimosso il bug che permette ad una sito Web di avere accesso alle informazione contenute nei cookies creati da altri
? livello di criptazione dei dati portato a 128 bit
- risolto il bug del ?Livello di protezione per l?area?: nella versione 5 di Internet Explorer 5.0 ci sono 4 livelli di sicurezza per ogni area (Internet, Intranet, siti sicuri, siti pericolosi) a differenza dei 3 della 4.0. Eseguendo l?aggiornamento dalla 4.0 alla 5.0 o alla 5.01 si perdono le impostazioni della sicurezza delle varie aree e inoltre scompare la barra che serve per selezionare il livello di sicurezza
- Outlook Express 5.5 (version 5.50.4133.2400)
TAG: sw